> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dwe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all recordings



## OpenAPI

````yaml https://github.com/DeepwaterExploration/dweOS/releases/latest/download/openapi.json get /api/recordings
openapi: 3.1.0
info:
  title: DWE OS API
  description: API for DWE OS
  version: 0.1.0
servers: []
security: []
paths:
  /api/recordings:
    get:
      tags:
        - recordings
      summary: Get all recordings
      operationId: get_recordings_api_recordings_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/RecordingInfo'
                type: array
                title: Response Get Recordings Api Recordings Get
components:
  schemas:
    RecordingInfo:
      properties:
        path:
          type: string
          title: Path
        name:
          type: string
          title: Name
        format:
          type: string
          title: Format
        duration:
          type: string
          title: Duration
        size:
          type: string
          title: Size
        created:
          type: string
          title: Created
      type: object
      required:
        - path
        - name
        - format
        - duration
        - size
        - created
      title: RecordingInfo

````